org.apache.hadoop.mapreduce.v2.proto

## Enum MRProtos.TaskAttemptStateProto

- java.lang.Object
- - java.lang.Enum<MRProtos.TaskAttemptStateProto>
  - - org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptStateProto

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<MRProtos.TaskAttemptStateProto>
  Enclosing class:
    MRProtos

      public static enum MRProtos.TaskAttemptStateProto
      extends Enum<MRProtos.TaskAttemptStateProto>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `hadoop.mapreduce.TaskAttemptStateProto`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TA_COMMIT_PENDING` `TA_COMMIT_PENDING = 4;`
    `TA_FAILED` `TA_FAILED = 6;`
    `TA_KILLED` `TA_KILLED = 7;`
    `TA_NEW` `TA_NEW = 1;`
    `TA_RUNNING` `TA_RUNNING = 3;`
    `TA_STARTING` `TA_STARTING = 2;`
    `TA_SUCCEEDED` `TA_SUCCEEDED = 5;`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TA_COMMIT_PENDING_VALUE` `TA_COMMIT_PENDING = 4;`
    `static int` | `TA_FAILED_VALUE` `TA_FAILED = 6;`
    `static int` | `TA_KILLED_VALUE` `TA_KILLED = 7;`
    `static int` | `TA_NEW_VALUE` `TA_NEW = 1;`
    `static int` | `TA_RUNNING_VALUE` `TA_RUNNING = 3;`
    `static int` | `TA_STARTING_VALUE` `TA_STARTING = 2;`
    `static int` | `TA_SUCCEEDED_VALUE` `TA_SUCCEEDED = 5;`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<MRProtos.TaskAttemptStateProto>` | `internalGetValueMap()`
    `static MRProtos.TaskAttemptStateProto` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static MRProtos.TaskAttemptStateProto` | `valueOf(int value)`
    `static MRProtos.TaskAttemptStateProto` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MRProtos.TaskAttemptStateProto[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TA_NEW

          public static final MRProtos.TaskAttemptStateProto TA_NEW

      `TA_NEW = 1;`

    - #### TA_STARTING

          public static final MRProtos.TaskAttemptStateProto TA_STARTING

      `TA_STARTING = 2;`

    - #### TA_RUNNING

          public static final MRProtos.TaskAttemptStateProto TA_RUNNING

      `TA_RUNNING = 3;`

    - #### TA_COMMIT_PENDING

          public static final MRProtos.TaskAttemptStateProto TA_COMMIT_PENDING

      `TA_COMMIT_PENDING = 4;`

    - #### TA_SUCCEEDED

          public static final MRProtos.TaskAttemptStateProto TA_SUCCEEDED

      `TA_SUCCEEDED = 5;`

    - #### TA_FAILED

          public static final MRProtos.TaskAttemptStateProto TA_FAILED

      `TA_FAILED = 6;`

    - #### TA_KILLED

          public static final MRProtos.TaskAttemptStateProto TA_KILLED

      `TA_KILLED = 7;`

  - ### Field Detail

    - #### TA_NEW_VALUE

          public static final int TA_NEW_VALUE

      `TA_NEW = 1;`
      See Also:
        Constant Field Values

    - #### TA_STARTING_VALUE

          public static final int TA_STARTING_VALUE

      `TA_STARTING = 2;`
      See Also:
        Constant Field Values

    - #### TA_RUNNING_VALUE

          public static final int TA_RUNNING_VALUE

      `TA_RUNNING = 3;`
      See Also:
        Constant Field Values

    - #### TA_COMMIT_PENDING_VALUE

          public static final int TA_COMMIT_PENDING_VALUE

      `TA_COMMIT_PENDING = 4;`
      See Also:
        Constant Field Values

    - #### TA_SUCCEEDED_VALUE

          public static final int TA_SUCCEEDED_VALUE

      `TA_SUCCEEDED = 5;`
      See Also:
        Constant Field Values

    - #### TA_FAILED_VALUE

          public static final int TA_FAILED_VALUE

      `TA_FAILED = 6;`
      See Also:
        Constant Field Values

    - #### TA_KILLED_VALUE

          public static final int TA_KILLED_VALUE

      `TA_KILLED = 7;`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static MRProtos.TaskAttemptStateProto[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MRProtos.TaskAttemptStateProto c : MRProtos.TaskAttemptStateProto.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MRProtos.TaskAttemptStateProto valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static MRProtos.TaskAttemptStateProto valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<MRProtos.TaskAttemptStateProto> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static MRProtos.TaskAttemptStateProto valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.